package com.dcs.hnyz.service.impl;

import java.util.Arrays;
import java.util.List;
import com.dcs.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.dcs.hnyz.mapper.TemplatePageMapper;
import com.dcs.hnyz.domain.TemplatePage;
import com.dcs.hnyz.service.ITemplatePageService;

import javax.annotation.Resource;

/**
 * 模板页管理Service业务层处理
 * 
 * @author hmy
 * @date 2025-04-30
 */
@Service
public class TemplatePageServiceImpl implements ITemplatePageService 
{
    @Resource
    private TemplatePageMapper templatePageMapper;

    /**
     * 查询模板页管理
     * 
     * @param pageId 模板页管理主键
     * @return 模板页管理
     */
    @Override
    public TemplatePage selectTemplatePageByPageId(Long pageId)
    {
        return templatePageMapper.selectById(pageId);
    }

    /**
     * 查询模板页管理列表
     * 
     * @param templatePage 模板页管理
     * @return 模板页管理
     */
    @Override
    public List<TemplatePage> selectTemplatePageList(TemplatePage templatePage)
    {
        return templatePageMapper.selectTemplatePageList(templatePage);
    }

    /**
     * 新增模板页管理
     * 
     * @param templatePage 模板页管理
     * @return 结果
     */
    @Override
    public int insertTemplatePage(TemplatePage templatePage)
    {
        templatePage.setCreateTime(DateUtils.getNowDate());
        return templatePageMapper.insert(templatePage);
    }

    /**
     * 修改模板页管理
     * 
     * @param templatePage 模板页管理
     * @return 结果
     */
    @Override
    public int updateTemplatePage(TemplatePage templatePage)
    {
        templatePage.setUpdateTime(DateUtils.getNowDate());
        return templatePageMapper.updateById(templatePage);
    }

    /**
     * 批量删除模板页管理
     * 
     * @param pageIds 需要删除的模板页管理主键
     * @return 结果
     */
    @Override
    public int deleteTemplatePageByPageIds(Long[] pageIds)
    {
        return templatePageMapper.deleteBatchIds(Arrays.asList(pageIds));
    }

    /**
     * 删除模板页管理信息
     * 
     * @param pageId 模板页管理主键
     * @return 结果
     */
    @Override
    public int deleteTemplatePageByPageId(Long pageId)
    {
        return templatePageMapper.deleteById(pageId);
    }
}
